std::__is_location_invariant< _Tp >(3)

NAME
std::__is_location_invariant< _Tp > -

SYNOPSIS

Inherits std::integral_constant< bool,(is_pointer< _Tp >::value||is_member_pointer< _Tp >::value)>.

Inherited by std::__is_location_invariant< _Simple_type_wrapper< _Tp > >.

  Public Types
typedef integral_constant
< bool, __v > type"
typedef bool value_type

  Public Member Functions
constexpr operator value_type ()

  Static Public Attributes
static constexpr bool value

Detailed Description

  template<typename _Tp>struct std::__is_location_invariant< _Tp >
Trait identifying 'location-invariant' types, meaning that the address of the object (or any of its members) will not escape. Also implies a trivial copy constructor and assignment operator.

Definition at line 1781 of file functional.

Author

Generated automatically by Doxygen for libstdc++ from the source code.